#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		srel		%(echo %{release} | cut -d '.' -f1-3)
%global		_python_bytecompile_extra 1
#-----------------------------------------------------------------------------
Name		:	calamares
Version		:	3.2.61
Release		:	16.2.1.rel%{?dist}
Summary		:	shell script installer
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv3+
URL		:	https://github.com/calamares/calamares/releases

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	boost-devel
BuildRequires	:	boost-python3-devel
BuildRequires	:	cmake
BuildRequires	:	extra-cmake-modules
BuildRequires	:	gptfdisk
BuildRequires	:	kconfig
BuildRequires	:	kcoreaddons
BuildRequires	:	ki18n
BuildRequires	:	kparts
BuildRequires	:	kpackage
BuildRequires	:	kpmcore
BuildRequires	:	kservice
BuildRequires	:	kwidgetsaddons
BuildRequires	:	python3
BuildRequires	:	qt
BuildRequires	:	yaml-cpp
BuildRequires	:	polkit-qt
BuildRequires	:	qtwebengine
BuildRequires	:	mesa-devel

Requires	:	coreutils
Requires	:	dosfstools
Requires	:	e2fsprogs
Requires	:	gawk
Requires	:	grub
Requires	:	hicolor-icon-theme
Requires	:	ok-seed
Requires	:	os-prober
Requires	:	rsync
Requires	:	squashfs-tools
Requires	:	upower
Requires	:	util-linux
Requires	:	yaml-cpp
Requires	:	zypper


#Requires for scriptlet
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	/etc/sddm.conf
#-----------------------------------------------------------------------------
%description
script to install osukiss on storage device
Automatically started when login as root

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS LICENSES README.md
%{_sysconfdir}/%{name}/settings.conf
%{_sysconfdir}/%{name}/modules/netinstall.yaml
%{_sysconfdir}/%{name}/branding/osukiss/*
%{_bindir}/%{name}
%{_includedir}/lib%{name}/*.h
%{_includedir}/lib%{name}/utils/*.h
%{_includedir}/lib%{name}/geoip/*.h
%{_includedir}/lib%{name}/locale/*.h
%{_includedir}/lib%{name}/modulesystem/*.h
%{_includedir}/lib%{name}/network/*.h
%{_includedir}/lib%{name}/partition/*.h
%{_includedir}/lib%{name}/viewpages/*.h
%{_includedir}/lib%{name}/widgets/*.h
%{_libdir}/cmake/Calamares/*.cmake
%{_libdir}/lib%{name}*.so*
%{_libdir}/%{name}/modules/bootloader/*
%{_libdir}/%{name}/modules/contextualprocess/*
%{_libdir}/%{name}/modules/displaymanager/*
%{_libdir}/%{name}/modules/dracut/*
%{_libdir}/%{name}/modules/dracutlukscfg/*
%{_libdir}/%{name}/modules/dummycpp/*
%{_libdir}/%{name}/modules/dummyprocess/*
%{_libdir}/%{name}/modules/dummypython/*
%{_libdir}/%{name}/modules/finished/*
%{_libdir}/%{name}/modules/finishedq/*
%{_libdir}/%{name}/modules/fsresizer/*
%{_libdir}/%{name}/modules/fstab/*
%{_libdir}/%{name}/modules/grubcfg/*
%{_libdir}/%{name}/modules/hostinfo/*
%{_libdir}/%{name}/modules/hwclock/*
%{_libdir}/%{name}/modules/initcpio/*
%{_libdir}/%{name}/modules/initcpiocfg/*
%{_libdir}/%{name}/modules/initramfs/*
%{_libdir}/%{name}/modules/initramfscfg/*
%{_libdir}/%{name}/modules/interactiveterminal/*
%{_libdir}/%{name}/modules/keyboard/*
%{_libdir}/%{name}/modules/keyboardq/*
%{_libdir}/%{name}/modules/license/*
%{_libdir}/%{name}/modules/locale/*
%{_libdir}/%{name}/modules/localeq/*
%{_libdir}/%{name}/modules/localecfg/*
%{_libdir}/%{name}/modules/luksbootkeyfile/*
%{_libdir}/%{name}/modules/luksopenswaphookcfg/*
%{_libdir}/%{name}/modules/machineid/*
%{_libdir}/%{name}/modules/mkinitfs/*
%{_libdir}/%{name}/modules/mount/*
%{_libdir}/%{name}/modules/mountext/*
%{_libdir}/%{name}/modules/netinstall/*
%{_libdir}/%{name}/modules/networkcfg/*
%{_libdir}/%{name}/modules/notesqml/*
%{_libdir}/%{name}/modules/oemid/*
%{_libdir}/%{name}/modules/openrcdmcryptcfg/*
%{_libdir}/%{name}/modules/packages/*
%{_libdir}/%{name}/modules/packagechooser/*
%{_libdir}/%{name}/modules/packagechooserq/*
%{_libdir}/%{name}/modules/partition/*
%{_libdir}/%{name}/modules/plymouthcfg/*
%{_libdir}/%{name}/modules/preservefiles/*
%{_libdir}/%{name}/modules/rawfs/*
%{_libdir}/%{name}/modules/removeuser/*
%{_libdir}/%{name}/modules/services-openrc/*
%{_libdir}/%{name}/modules/services-systemd/*
%{_libdir}/%{name}/modules/shellprocess/*
%{_libdir}/%{name}/modules/summary/*
%{_libdir}/%{name}/modules/summaryq/*
%{_libdir}/%{name}/modules/tracking/*
%{_libdir}/%{name}/modules/umount/*
%{_libdir}/%{name}/modules/unpackfs/*
%{_libdir}/%{name}/modules/users/*
%{_libdir}/%{name}/modules/usersq/*
%{_libdir}/%{name}/modules/webview/*
%{_libdir}/%{name}/modules/welcome/*
%{_libdir}/%{name}/modules/welcomeq/*
%{_libdir}/%{name}/modules/zfs/*
%{_libdir}/%{name}/lib%{name}.so
%{_datadir}/%{name}/branding/default/*
%{_datadir}/%{name}/settings.conf
%{_datadir}/%{name}/modules/*.conf
%{_datadir}/%{name}/qml/%{name}/slideshow/qmldir
%{_datadir}/%{name}/qml/%{name}/slideshow/qmldir.license
%{_datadir}/%{name}/qml/%{name}/slideshow/*.qml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}-python.mo
%{_datadir}/polkit-1/actions/com.github.%{name}.%{name}.policy
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q
# delete backup files so they don't get installed
rm -f src/modules/*/*.conf.default-settings
#-----------------------------------------------------------------------------
#building application
%build
tar xf %{SOURCE1}

%{__cp} -a							\
	%{name}-ok_addon/settings.conf				\
	.

for mod in `ls %{name}-ok_addon/modules`	
  do
  modname=`basename ${mod}`
  mkdir -p src/modules/${modname}
  %{__cp} -a							\
    %{name}-ok_addon/modules/${modname}/*			\
    src/modules/${modname}
  done

sed -i								\
  -e '/^Exec/s:sh -c "pkexec calamares":sudo calamares -d:'	\
  %{name}.desktop.in						\
  %{name}.desktop						\

%{__mkdir} bld
pushd bld

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE:STRING="RelWithDebInfo"		\
	-D INSTALL_CONFIG:BOOL=ON				\
	-D BUILD_TESTING:BOOL=OFF				\
	-D WITH_PYTHON:BOOL=ON					\
	-D WITH_PYTHONQT:BOOL=OFF				\
	-D WEBVIEW_FORCE_WEBKIT:BOOL=OFF			\
	-D Boost_NO_BOOST_CMAKE=ON				\
	..

popd

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	-C bld							\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C bld							\
	DESTDIR=%{buildroot}					\
	install

#installing branding
sed -i								\
  -e "s/--VERSION--/${OKNUM}/"					\
  -e "s/--RELEASE--/%{srel}/"					\
  %{name}-ok_addon/osukiss/branding.desc

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}/branding
%{__cp} -a							\
	%{name}-ok_addon/osukiss				\
	%{buildroot}%{_sysconfdir}/%{name}/branding

#installing application settings
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}/modules
%{__cp} -a							\
	%{name}-ok_addon/settings.conf				\
	%{buildroot}%{_sysconfdir}/%{name}

%{__cp} -a							\
	%{name}-ok_addon/netinstall.yaml			\
	%{buildroot}%{_sysconfdir}/%{name}/modules

%find_lang calamares-python

#-----------------------------------------------------------------------------
%changelog
